
#include "SettingsWidget.h"
#include <assert.h>

#include <IMainWindow.h>

//-----------------------------------------------------------------------------------
CSettingsWidget::CSettingsWidget(IMainWindow* pMainWindow, const char* pToolName, bool bRemoveRecursive)
	: CSettingTabWidget(pMainWindow, "Tools/" + QString(pToolName), bRemoveRecursive, TRUE)
	, m_sToolName(pToolName)
{
}

//-----------------------------------------------------------------------------------
const QString& CSettingsWidget::GetToolName() const
{
	return m_sToolName;
}
