
#ifndef IPCSERVER_H
#define IPCSERVER_H

#include <qserversocket.h>
#include <qstringlist.h>

#define IPCPORT 58750

class IMainWindow;

class IPCServer : public QServerSocket  
{
public:
    IPCServer(QObject* parent);

	void SetMainWindow(IMainWindow* pMainWindow);

	/**From Qt */
	void newConnection(int socket);

private:
	void LoadFiles();

private:
	IMainWindow* m_pMainWindow;
	QStringList  m_lFiles;
};

#endif
