
#ifndef TOOLTABWIDGET_H
#define TOOLTABWIDGET_H

#include <qtabwidget.h>
#include <qtoolbutton.h>

class ToolTabWidget : public QTabWidget
{
	Q_OBJECT
public:
	ToolTabWidget(QWidget* parent);

	void SetForceToHide(bool bForceToHide);

public slots:
	void showPage(QWidget* w);
	void removePage(QWidget* w);
	void show();

private slots:
    void languageChange();
	void OnCloseCurrentPage();
	void OnLeftShift();
	void OnRightShift();
	void RefreshButtons();

private:
	QWidget     m_qCornerWidget;
	QToolButton m_qCloseButton;
	QToolButton m_qShiftLeftButton;
	QToolButton m_qShiftRightButton;
	bool        m_bForceToHide;
};

#endif
