
#ifndef _F100CONSOLE_FR_
#define _F100CONSOLE_FR_

#define ECHEC		 "[ECHOUE]"
#define OK			 "[  OK  ]"
#define STR_CANCELED "[ANNULE]"

#define STR_ENTRY_POINT_NOT_FOUND "Impossible de trouver le point d'entree '%s'!"
#define STR_PROTOCOL_LOAD_SUCCESS "Protocole %s %s charge avec succes."
#define STR_NO_LOAD_PROTOCOL      "Impossible de charger la Dll du protocole!"

#define STR_NO_OPENPORT           "Impossible d'ouvrir le port!"
#define STR_NO_GETPORT			  "Impossible de lire l'etat du port!"
#define STR_NO_SETPORT		   	  "Impossible de configurer le port!"
#define STR_TIME_OUT			  "Erreur de transmission! Aucune reponse de la calculatrice."
#define STR_NO_INIT				  "Il s'est produit une erreur lors de l'initialisation."
#define STR_NO_SEND				  "Le message n'a pas ete entierement envoye."
#define STR_NO_SUPPORTED		  "Cette fonction n'est pas supportee par ce protocole."
#define STR_UNKNOW_ERROR		  "Une erreur inconnue s'est produite!"
#define STR_INVALID_VALUE		  "La valeur recue est incorrecte!"
#define STR_CANT_CHANGE_TRANSFERT_MODE "Impossible de changer le mode de transfert car ceci n'est pas possible avec ce protocole!"
#define STR_BAD_CALL			  "(Erreur interne) Mauvais appel de fonction."
#define STR_PROTOCOL			  "Erreur protocole : "
#define STR_WARNING				  "Attention : "
#define STR_ERROR				  "Erreur : "

#define STR_CANT_READ_FILE        "Impossible de lire le fichier!"
#define STR_CANT_OPEN_FILE        "L'ouverture du fichier '%s' a echoue!"

#define STR_WNG_MAX_RAM_SIZE	  "Le fichier lu depasse les 64Ko. Seul 64Ko seront envoyes."

#define STR_ASKING_SEND			  "Demande d'envoi..."
#define STR_WAIT_CONFIRMATION	  "Attente de confirmation..."
#define STR_SENDING_FILE	      "Envoi le fichier"
#define STR_SEND_CANCELED		  "Envoi annule par le receveur."

#define STR_SUPPORTED_SPEED		  "vitesse est supportee"
#define STR_SUPPORTED_SPEEDS	  "vitesses sont supportees"
#define STR_BY_THIS_PROTOCOL	  "par ce protocole :"

#define STR_WNG_BAD_PORT_NUM	  "Le numero de port saisie est invalide! Le port '0' a ete selectionne."
#define STR_WNG_BAD_CABLE_NUM	  "Le numero de cable saisie est invalide! Le cable '0' a ete selectionne."
#define STR_WNG_BAD_SPEED		  "Le numero de vitesse indique est superieure au nombre maximum du protocole. La vitesse maximum est choisie."
#define STR_INIT_PROTOCOL		  "Initialisation du protocole..."
#define STR_INIT_PORT			  "Initialise le port serie"
#define STR_UNKNOWORDER			  "Ordre inconnu!"
#define STR_INVALID_ZONE_NUM	  "La valeur saisie pour le numero de zone est invalide! (valeur entre 1 et 12)"
#define STR_INVALID_DRIVE		  "La valeur saisie pour le numero du lecteur est invalide! (valeur entre 0 et 6)"
#define STR_TO					  " a "

#define STR_WNG_MAX_DRIVE_SIZE	  "Le fichier depasse les 128Ko. Seul 128Ko seront envoyes."
#define STR_EXPORT_DRIVE		  "Demande d'exportation et formatage du lecteur..."
#define STR_INVALID_SYSTEM		  "Systeme non valide!"

#define STR_INFO_START			  "----- Informations sur le protocole -----"
#define STR_INFO_NAME			  "Nom      : "
#define STR_CALC_TYPE             "CalcType : "
#define STR_INFO_VERSION		  "Version  : "
#define STR_INFO_AUTHOR			  "Auteur   : "
#define STR_INFO_DATE			  "Date     : "
#define STR_INFO_END			  "-----------------------------------------"

#define STR_G100_LIKE             "Graph100(+)"
#define STR_GRAPH_LIKE            "Graph25-80"
#define STR_CLASSPAD              "ClassPad"
#define STR_CALC_UNKNOW           "Inconnue"

#define STR_DEVICE_START		  "----- Peripherique(s) disponible(s) -----"
#define STR_DEVICE_PORT			  "\tPort(s)  : "
#define STR_DEVICE_CABLE		  "\tCable(s) : "
#define STR_DEVICE_END			  "-----------------------------------------"

#define NZ_VARIABLES			  "Variables"
#define NZ_BASIC				  "BASIC"
#define NZ_SYSTEM				  "Systeme"
#define NZ_CHAR					  "Char"
#define NZ_LIST					  "Liste"
#define NZ_MATRIX				  "Matrice"
#define NZ_IMAGE				  "Image"
#define NZ_XLECT				  "XLect"
#define NZ_ADDIN				  "Add-In"
#define NZ_GRAPH                  "Graphe"
#define NZ_LCL                    "Locale"

#define STR_WAITING_REQUESTS	  "Attente de requetes..."
#define STR_CREATING_FILE		  "Creation du fichier "
#define STR_SENDING_CONFIRMATION  "Envoi la confirmation..."
#define STR_RECEIVING			  "Reception de "
#define STR_RECEIVING_DRIVE		  "Reception en cours..."
#define STR_IMPORT_DRIVE		  "Demande d'importation..."

#define STR_DEVICE_ERROR          "Le peripherique indique est introuvable."

#define STR_PRESENTATION		  "Version allegee de Flash100, ne fonctionne qu'en mode console et permet de communiquer avec une calculatrice Casio (G100, ou autre si le protocole existe).\n"
#define STR_THANKS				  "Remerciements a : 2072, tonton1664 , Whyp et superna"

#define STR_HELP  "Aide pour les parametres" << endl << \
	"Utilisation : F100Console [nomprotocole] [peripherique] [numport] [numcable] [vitesse] [ordre] [nomdufichier]" << endl << \
	"Obtenir des informations sur les peripheriques disponibles : F100Console -devices" << endl << \
	"[ordre] et [nomdufichier] peuvent etre indiques plusieurs fois pour recevoir ou envoyer plusieurs fois" << endl << \
	"[nomprotocole] : nom de la dll a charger se trouvant dans le repertoire 'Protocols'." << \
	" Suivant le protocole choisi vous pouvez communiquer avec plusieurs logiciels de votre G100." <<  \
	" Les plus connus sont LINK de Casio et GComm. Ces protocoles sont compatibles avec ceux de Flash100(et reciproquement)." << endl << \
	"[peripherique] : [0..n] Numero du peripherique. Liste disponible en tapant F100Console -devices." << endl << \
	"[numport]      : [0..n] (depend du peripherique charge)" << endl << \
	"[numcable]     : [0..n] (depend du peripherique charge)" << endl <<  \
	"[vitesse]      : [0..n] indique le numero de la vitesse choisie. Suivant le protocole choisi le nombre de vitesses supportees peut varier." <<  \
	" Pour connaitre les vitesses supportees, entrez juste le nom du protocole." << endl << \
	"[ordre]        : 4 types" << endl << \
	"- RFlashx (x de 0 a 6) 0=systeme, 1=L:\\, ... Recevoir un lecteur et le stocker dans le fichier indique" << endl << \
	"- Flashx (x de 0 a 6) Envoyer un fichier dans un lecteur choisi" << endl << \
	"- RAM recevoir un ou des fichiers de la RAM (le parametre [nomdufichier] represente le repertoire ou mettre le ou les fichier(s) recu(s)" << endl << \
	"([nomdufichier]/type/fichier), 'type' est determine par le logiciel et 'fichier' le nom du fichier recu" << endl <<  \
	"- RAMx (x de 1 a 12) x correspond au numero de la zone. (cf memzone de 2072)" << endl << \
	"Envoi le fichier indique par le prochain parametre. Vous pouvez utiliser les caracteres speciaux '*', '?' pour pouvoir envoyer plusieurs fichiers."

#endif
