
#include <F100_Op.h>

#include "BackupWindow.h"

EXPORT_SYMB void Tool_Request(F100_Op op, void** ret, IMainWindow* ptr1, Qt::WFlags ptr2, QTabWidget* ptr3, QWidget* parent)
{
	switch(op)
	{
	case OP_TOOLNAME:
		*((QString*)ret) = BackupWindow::tr("Editeur de backup");
		break;
	case OP_BUILDDATE:
		*ret = (void*)__DATE__;
		break;
	case OP_VERSION:
#ifndef _DEBUG
		*ret = (void*)"1.00";
#else
		*ret = (void*)"1.00 (Debug)";
#endif
		break;
	case OP_AUTHOR:
		*ret = (void*)"Quaranta David";
		break;
	case OP_CREATEINSTANCE:
		*ret = new BackupWindow(parent, ptr1, ptr2, ptr3);
		break;
	case OP_WINDOWTYPESTR:
		*ret = (void*)"F100BackupEdit";
		break;
	case OP_FILEFILTER:
		*((QString*)ret) = BackupWindow::tr("Fichiers de sauvegarde (*.bck)");
		break;
	case OP_DESCRIPTION:
		*((QString*)ret) = BackupWindow::tr("Visualiser/Editer des backups de Flash100");
		break;
	case OP_SUPPORTEDFILE:
		*ret = (void*)"bck";
		break;
	}
}
