// CFXSettings.h: interface for the CCFXSettings class.
//
//////////////////////////////////////////////////////////////////////

#ifndef CFXSETTINGS_H
#define CFXSETTINGS_H

#include <qlayout.h>
#include <qlistview.h>

#include <SettingsWidget.h>

#define TOOL_NAME "CFXEdit"

class CCFXSettings : public CSettingsWidget 
{
	Q_OBJECT
public:
	CCFXSettings(IMainWindow* pMainWindow);
	int     DoSave();
	void    DoRefresh();
	QString GetDescription() const;
	void    DoInitWords();
	int     GetPreference();

private:
	QVBoxLayout    m_qVBoxLayout;	
	QListView      m_qList;
	QCheckListItem m_qController;
	QCheckListItem m_qOptAllDrives;
	QCheckListItem m_qOptFirstEmpty;
	QCheckListItem m_qOptChooseDrive;
	int            m_nPreference;
};

#endif // CFXSETTINGS_H

