// BASICProperties.h: interface for the CBASICProperties class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _BASICPROPERTIES_H_
#define _BASICPROPERTIES_H_

#include "ProgSyntaxProperties.h"

class CBASICProperties  : public CProgSyntaxProperties
{
public:
	CBASICProperties();
	CBASICProperties(const CBASICProperties* pSource);
	QString GetName() const;
	CSyntaxHighlighter* CreateSyntax(QTextEdit* pEdit);
	CSyntaxHighlighter* CreateCompatibleSyntax(const void* pData, unsigned int nSize, QTextEdit* pEdit);
	CSyntaxProperties*  Clone();
	void GetKeywords(QStringList& lKeywords);

private:
	void ShowKeywords(QStringList& lKeywords, const char* pTable[], unsigned int nSize);
};

#endif
