// Editor.h: interface for the CEditor class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _EDITOR_H_
#define _EDITOR_H_

#include <qmainwindow.h>

class CFileZone;
class CRamManagerOption;

class CEditor : public QMainWindow 
{
public:
	CEditor(QWidget* parent);

	virtual bool SetFileZone(CFileZone* pFile) = 0;
	virtual void RefreshData() = 0;
	virtual void DoInitWords();
	virtual void Save() { }

protected:
	CRamManagerOption* GetOptionWindow();
	virtual void UpdateCaption() = 0;
};

#endif
