// FileLoader.h: interface for the CFileLoader class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _FILELOADER_H_
#define _FILELOADER_H_

#include <qtextstream.h>

class CFileZone;
class CEditor;
class QWidget;

class CFileLoader  
{
public:
	static CFileZone* LoadFileZone(QTextStream& ts, bool& bOk);
	static CFileZone* LoadFileZone(unsigned int nZone);
	static CEditor*   CreateEditor(CFileZone* pFile, QWidget* parent);
	static QString    ChooseFileName(unsigned short nZone, const QString& sCaption, const QString& sDefaultText = QString::null, QWidget* parent = 0);
};

#endif