// FileZoneItem.cpp: implementation of the CFileZoneItem class.
//
//////////////////////////////////////////////////////////////////////

#include "FileZoneItem.h"

#include <qpixmap.h>

#include <image_defs.h>

#define IMG_FILESELECTED "rammanager/file_selected.png"

//-----------------------------------------------------------------------------------
CFileZoneItem::CFileZoneItem(QListViewItem* parent, QListViewItem* after)
: QListViewItem(parent, after)
{
	SetSelected(FALSE);
}

//-----------------------------------------------------------------------------------
CFileZoneItem::~CFileZoneItem()
{

}

//-----------------------------------------------------------------------------------
void CFileZoneItem::SetSelected(bool bSelected)
{
	if(bSelected) {
		setPixmap(0, QPixmap::fromMimeSource(IMG_FILESELECTED));
	}
	else {
		setPixmap(0, QPixmap::fromMimeSource(IMG_FILE));
	}
	m_bSelected = bSelected;
}

//-----------------------------------------------------------------------------------
bool CFileZoneItem::IsSelected() const
{
	return m_bSelected;
}
