// ListTableItem.cpp: implementation of the CListTableItem class.
//
//////////////////////////////////////////////////////////////////////

#include "ListTableItem.h"

#include <qlineedit.h>
#include <qvalidator.h>

QDoubleValidator m_qValidator(NULL);

//-----------------------------------------------------------------------------------
CListTableItem::CListTableItem(QTable* table, EditType et, const QString& text)
	: QTableItem(table, et, text)
{

}

//-----------------------------------------------------------------------------------
QWidget* CListTableItem::createEditor() const
{
    QLineEdit* e = new QLineEdit(table()->viewport());
	e->setValidator(&m_qValidator);
    e->setFrame(FALSE);
    e->setText(text());
    return e;
}
