// ProgSyntaxProperties.h: interface for the CProgSyntaxProperties class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _PROGSYNTAXPROPERTIES_H_
#define _PROGSYNTAXPROPERTIES_H_

#include "SyntaxProperties.h"

#define KEY_COMMENT  "COMMENT"
#define KEY_NUMBER   "NUMBER"
#define KEY_VAR      "VARIABLE"
#define KEY_STRING   "STRING"
#define KEY_KEYWORD  "KEYWORD"
#define KEY_FUNCTION "FUNCTION"

class CProgSyntaxProperties : public CSyntaxProperties  
{
public:
	CProgSyntaxProperties();
	CProgSyntaxProperties(const CProgSyntaxProperties* pSource);

protected:
	void AddCommentProperty();
};

#endif
