// TextSyntaxHighligter.cpp: implementation of the CTextSyntaxHighligter class.
//
//////////////////////////////////////////////////////////////////////

#include "TextSyntaxHighligter.h"

//-----------------------------------------------------------------------------------
CTextSyntaxHighligter::CTextSyntaxHighligter(QTextEdit* pTextEdit, CSyntaxProperties* pProperties)
	: CSyntaxHighlighter(pTextEdit, pProperties)
{

}

//-----------------------------------------------------------------------------------
const CWrapper* CTextSyntaxHighligter::GetWrapper() const
{
	return &m_wrapper;
}

//-----------------------------------------------------------------------------------
int CTextSyntaxHighligter::highlightParagraph(const QString& text, int endStateOfLastPara)
{
	setFormat(0, text.length(), GetFont(), GetEditorForeColor());
	return 0;
}
