// TextSyntaxHighligter.h: interface for the CTextSyntaxHighligter class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _TEXTSYNTAXHIGHLIGTER_H_
#define _TEXTSYNTAXHIGHLIGTER_H_

#include "SyntaxHighlighter.h"
#include "TextWrapper.h"

class CTextSyntaxHighligter : public CSyntaxHighlighter
{
public:
	CTextSyntaxHighligter(QTextEdit* pTextEdit, CSyntaxProperties* pProperties);
	int highlightParagraph(const QString& text, int endStateOfLastPara);

	const CWrapper* GetWrapper() const;

private:
	CTextWrapper m_wrapper;
};

#endif
