const char *xpm_zoomin[]={
"15 16 8 1",
". c None",
"b c None",
"# c #000000",
"f c #0000bf",
"d c #808080",
"c c #c0c0c0",
"a c #ff0000",
"e c #ffffff",
"....####aaaabbb",
"..##ccccaaaabbb",
".#deeeccaaaabbb",
".#eecaaaaaaaaaa",
"#ceccaaaaaaaaaa",
"#ceccaaaaaaaaaa",
"#ccccaaaaaaaaaa",
"#cccccccaaaabbb",
"b#ccccccaaaabbb",
"b#dcccccaaaabbb",
"bb##cccedfffbbb",
"bbbb####fcfffbb",
"bbbbbbbbbfcfffb",
"bbbbbbbbbbfcfff",
"bbbbbbbbbbbfcff",
"bbbbbbbbbbbbffb"};

const char *xpm_conv[]={
"14 14 21 1",
". c None",
"# c #008000",
"k c #060e00",
"d c #071700",
"o c #080f00",
"q c #091000",
"h c #0b0b00",
"n c #0c1200",
"c c #0f1500",
"m c #111500",
"f c #120d00",
"g c #121200",
"i c #140e00",
"b c #160f00",
"j c #161400",
"l c #1c0a00",
"e c #1c1300",
"p c #808080",
"r c #ff0000",
"s c #ff8040",
"a c #ffff00",
"...#####aaabca",
"...#####daeaaa",
"...##..aafghia",
"...##..ajakaal",
".######amaanaa",
"..####.aaaaoaa",
"...##..aappqpp",
".rrrr.........",
"rsssrr........",
"rs..rr..r...r.",
"rs.....rrr.rrr",
"rr..rs..r...r.",
"rrrrrs........",
".ssss........."};

const char *xpm_copy[]={
"15 13 4 1",
"# c None",
". c #4d4d4d",
"b c #4d4da6",
"a c #ffffff",
"......#########",
".aaaa..########",
".aaaa.a.#######",
".a..a.bbbbbb###",
".aaaaabaaaabb##",
".a....baaaabab#",
".aaaaaba..abbbb",
".a....baaaaaaab",
".aaaaaba.....ab",
"......baaaaaaab",
"######ba.....ab",
"######baaaaaaab",
"######bbbbbbbbb"};

const char *xpm_cut[]={
"9 14 3 1",
". c None",
"# c #4d4d4d",
"a c #4d4da6",
"..#...#..",
"..#...#..",
"..#...#..",
"..##.##..",
"...#.#...",
"...###...",
"....#....",
"...a#a...",
"...a.aaa.",
".aaa.a..a",
"a..a.a..a",
"a..a.a..a",
"a..a..aa.",
".aa......"};

const char *xpm_descendre[]={
"11 10 4 1",
". c None",
"a c None",
"# c #000000",
"b c #f3ef34",
"...#####aaa",
"...#bbb#aaa",
"...#bbb#aaa",
"...#bbb#aaa",
"####bbb####",
"a#bbbbbbb#a",
"aa#bbbbb#aa",
"aaa#bbb#aaa",
"aaaa#b#aaaa",
"aaaaa#aaaaa"};

const char *xpm_edition[]={
"16 16 4 1",
"# c #000000",
"a c #00ffff",
"b c #808080",
". c #ffff00",
"........####....",
"........####....",
"####..##........",
"####..##......#.",
"....########.#a#",
"....########.#a#",
"..##..##....#a#.",
"..##..##....#a#.",
"..##....##.#a#..",
"..##....##.###..",
"........##.##...",
"........##.#....",
"....bbbb##bbbb..",
"....bbbb##bbbb..",
"......bbbbbb....",
"......bbbbbb...."};

const char *xpm_ligne[]={
"14 13 3 1",
"# c None",
"a c None",
". c #000000",
"..############",
"a..aaaaaaaaa##",
"aa..aaaaaaaa##",
"aaa..aaaaaaa##",
"aaaa..aaaaaa##",
"aaaaa..aaaaa##",
"aaaaaa..aaaa##",
"aaaaaaa..aaa##",
"aaaaaaaa..aa##",
"aaaaaaaaa..a##",
"aaaaaaaaaa..##",
"aaaaaaaaaaa..#",
"aaaaaaaaaaaa.."};

const char *xpm_monter[]={
"11 10 4 1",
". c None",
"a c None",
"# c #000000",
"b c #f3ef34",
".....#aaaaa",
"....#b#aaaa",
"...#bbb#aaa",
"..#bbbbb#aa",
".#bbbbbbb#a",
"####bbb####",
"aaa#bbb#aaa",
"aaa#bbb#aaa",
"aaa#bbb#aaa",
"aaa#####aaa"};

const char *xpm_paste[]={
"16 14 8 1",
". c None",
"# c #4d4d4d",
"e c #4d4da6",
"b c #a6a64d",
"c c #a6a6a6",
"d c #d3d3d3",
"a c #ffff4d",
"f c #ffffff",
".....####.......",
".#####aa#####...",
"#bcb#a##a#cbc#..",
"#cc#dddddd#cb#..",
"#bc########cc#..",
"#cbcbcbcbcbcb#..",
"#bcbcbeeeeeee#..",
"#cbcbcefffffee..",
"#bcbcbefffffefe.",
"#cbcbcefeeefeeee",
"#bcbcbeffffffffe",
"#cbcbcefeeeeeefe",
".#####effffffffe",
"......eeeeeeeeee"};

const char *xpm_pen[]={
"9 15 7 1",
". c None",
"a c None",
"# c #000000",
"b c #bf0000",
"e c #c0c0c0",
"d c #ffff00",
"c c #ffffff",
".....###a",
"....#bbb#",
"....#bcc#",
".aa##bc#a",
".aa#d###a",
".a#dce#aa",
".a#cd##aa",
".#cde#aaa",
".#dc##aaa",
"#dce#aaaa",
"##d##aaaa",
"####aaaaa",
"###aaaaaa",
"##aaaaaaa",
"#aaaaaaaa"};

const char *xpm_rect[]={
"15 11 2 1",
". c #4d4d4d",
"# c #c0c0c0",
"...............",
".#############.",
".#############.",
".#############.",
".#############.",
".#############.",
".#############.",
".#############.",
".#############.",
".#############.",
"..............."};

const char *xpm_fill[]={
"16 14 5 1",
"# c #000000",
"c c #00bfbf",
". c None",
"b c #c0c0c0",
"a c #ffffff",
"........##......",
".......#a#......",
"..###.#aaa##....",
".###b#aaa#aa#...",
"###b#cccccc###..",
"##b#cccccc#####.",
"##b##c#cc#####c#",
"###..#cc#####cc#",
"###..#c#####cc#.",
"###...#####cc#..",
"###....###cc#...",
".##.....#cc#....",
".##......##.....",
"..#............."};

const char *xpm_retrait[]={
"13 13 5 1",
"a c None",
"# c None",
". c #4d4a45",
"c c #4e4a47",
"b c #4f4b48",
"..#########..",
"....######..a",
"a....####..aa",
"aa#...##..#aa",
"aaaa..b..aaaa",
"aaaaa.c.aaaaa",
"aaaa.....aaaa",
"aaa...aa..aaa",
"aa...aaaa..aa",
"a...aaaaaa.aa",
"a...aaaaaaa.a",
"aa.aaaaaaaaaa",
"aaaaaaaaaaaa."};

#ifndef F100_PLUGIN
const char *xpm_new[]={
"12 15 3 1",
"# c None",
". c #4d4d4d",
"a c #ffffff",
"........####",
".aaaaaa..###",
".aaaaaa.a.##",
".aaaaaa.aa.#",
".aaaaaa.....",
".aaaaaaaaaa.",
".aaaaaaaaaa.",
".aaaaaaaaaa.",
".aaaaaaaaaa.",
".aaaaaaaaaa.",
".aaaaaaaaaa.",
".aaaaaaaaaa.",
".aaaaaaaaaa.",
".aaaaaaaaaa.",
"............"};

const char *xpm_ouvrir[]={
"16 13 5 1",
". c None",
"# c #4d4d4d",
"c c #a6a64d",
"a c #ffff4d",
"b c #ffffff",
".........###....",
"........#...#.#.",
".............##.",
".###........###.",
"#aba#######.....",
"#babababab#.....",
"#ababababa#.....",
"#baba###########",
"#aba#ccccccccc#.",
"#ba#ccccccccc#..",
"#a#ccccccccc#...",
"##ccccccccc#....",
"###########....."};

const char *xpm_save[]={
"14 14 4 1",
"b c None",
". c #4d4d4d",
"# c #a6a64d",
"a c #d3d3d3",
"..............",
".#.aaaaaaaa.a.",
".#.aaaaaaaa...",
".#.aaaaaaaa.#.",
".#.aaaaaaaa.#.",
".#.aaaaaaaa.#.",
".#.aaaaaaaa.#.",
".##........##.",
".############.",
".##.........#.",
".##......aa.#.",
".##......aa.#.",
".##......aa.#.",
"b............."};
#endif

/*
const char *xpm_saveall[]={
"15 15 4 1",
". c None",
"# c #4d4d4d",
"a c #a6a64d",
"b c #d3d3d3",
"....###########",
"....#a#bbbbb#b#",
"..#############",
"..#a#bbbbb#b#a#",
"#############a#",
"#a#bbbbb#b#a#a#",
"#a#bbbbb###a#a#",
"#a#bbbbb#a#a#a#",
"#a#bbbbb#a#a#a#",
"#aa#####aa#a#a#",
"#aaaaaaaaa#a###",
"#aa######a#a#..",
"#aa####b#a###..",
"#aa####b#a#....",
".##########...."};
*/

const char *xpm_zoomout[]={
"15 16 8 1",
". c None",
"a c None",
"# c #000000",
"f c #0000bf",
"e c #008000",
"c c #808080",
"b c #c0c0c0",
"d c #ffffff",
"....####aaaaaaa",
"..##bbbb##aaaaa",
".#cdddbbbc#aaaa",
".#ddbeeeeeeeeee",
"#bdbbeeeeeeeeee",
"#bdbbeeeeeeeeee",
"#bbbbeeeeeeeeee",
"#bbbbbbbbbb#aaa",
"a#bbbbbbbd#aaaa",
"a#cbbbbbdc#caaa",
"aa##bbbdcfffaaa",
"aaaa####fbfffaa",
"aaaaaaaaafbfffa",
"aaaaaaaaaafbfff",
"aaaaaaaaaaafbff",
"aaaaaaaaaaaaffa"};

const char *xpm_select[]={
"15 11 2 1",
"# c None",
". c #000000",
".#..#..#..#..#.",
".#############.",
"###############",
".#############.",
".#############.",
"###############",
".#############.",
".#############.",
"###############",
".#############.",
".#..#..#..#..#."};
