#!/bin/sh
#
# autogen.sh glue
#
# Requires: automake1.9, autoconf
# You probably want to build-conflicts: autoconf2.13, automake1.4
set -e

echo "############### updating files ###############"
# Refresh GNU autotools toolchain.
for i in config.guess config.sub missing install-sh depcomp ; do
	test -r /usr/share/automake-1.9/${i} && {
		rm -f ${i}
		cp /usr/share/automake-1.9/${i} .
	}
	chmod 755 ${i}
done


#libtool
test -r /usr/share/libtool/ltmain.sh && {
rm -f ltmain.sh
cp /usr/share/libtool/ltmain.sh .
}

make -f admin/Makefile.common

exit 0
