
#ifndef IMAGE_DEFS
#define IMAGE_DEFS

/** \file image_defs.h
 * \brief Liste des noms des images contenues par dfaut dans l'application
 * \ingroup F100Qt
 * Contient des macros et numrations pour rcuprer les images de l'application.\n
 * Pour cela il suffit d'appeler la mthode fromMimeSource(const QString&) de QPixmap ou QImage, en
 * passant la macro voulue comme paramtre  cette mthode.\n
 */

/** Image rprsantant l'opacit */
#define IMG_OPACITY    "opacity.png"

/** Image Ouvrir */
#define IMG_OPEN       "open.png"

/** Image Sauver */
#define IMG_SAVE       "save.png"

/** Image Nouveau */
#define IMG_NEW        "new.png"

/** Image Dossier ferm (lment de vue) */
#define IMG_DIR_CLOSED "dir_closed.png"

/** Image Dossier ouvert (lment de vue) */
#define IMG_DIR_OPEN   "dir_open.png"

/** Image d'un fichier (lment de vue) */
#define IMG_FILE       "file.png"

/** Image reprsentant la possibilit d'intgrer une fentre dans un autre */
#define IMG_DOCK       "dock.png"

/** Image reprsentant la possibilit de sortir une fentre d'une fentre */
#define IMG_UNDOCK     "undock.png"

/** Image Effacer */
#define IMG_CLEAR      "clear.png"

/** Image Voir */
#define IMG_SEE        "see.png"

/** Image d'Aide */
#define IMG_HELP       "help.png"

/** Image Icne de l'application */
#define IMG_MAINICON   "main_icon.png"

/** Image CFX */
#define IMG_CFX        "cfx.png"

/** Image d'un lecteur */
#define IMG_DRIVE      "drive.png"

/** Image des options */
#define IMG_OPTION     "option.png"

/** Image envoyer vers */
#define IMG_SENDTO     "sendto.png"

/** Image flche gauche */
#define IMG_LEFT       "left.png"

/** Image flche droite */
#define IMG_RIGHT      "right.png"

/** Image annuler */
#define IMG_UNDO       "undo.png"
/** Image rpter */
#define IMG_REDO       "redo.png"

#endif
