// Info.cpp: implementation of the CFileInfo class.
//
//////////////////////////////////////////////////////////////////////

#include "FileInfo.h"

//-----------------------------------------------------------------------------------
CFileInfo::CFileInfo()
 :	m_nCountRef(1),
	m_nAddress(0)
{
}

//-----------------------------------------------------------------------------------
string CFileInfo::GetName() const
{
	return m_sName;
}
//-----------------------------------------------------------------------------------
unsigned int CFileInfo::GetAddress() const
{
	return m_nAddress;
}

//-----------------------------------------------------------------------------------
int CFileInfo::IncCountRef()
{
	return ++m_nCountRef;
}

//-----------------------------------------------------------------------------------
int CFileInfo::DecCountRef()
{
	if(m_nCountRef > 0) {
		return --m_nCountRef;
	}
	return m_nCountRef;
}
