
#ifndef STARTUP_H
#define STARTUP_H

#include <qobject.h>
#include <qstringlist.h>

class QSettings;
class MainWindow;
class IPCServer;

class StartUp : public QObject
{
public:
	StartUp(QSettings* pSettings);
	virtual ~StartUp();
	bool Start();
	bool ReStart();
	void Quit();

private:
	void ConvertArgToQSL(QStringList& lFiles);
	bool CreateMainWindow();
	void LoadFiles();

private:
	MainWindow* m_pMainWindow;
	QSettings*  m_pSettings;
	IPCServer*  m_pServer;
	bool        m_bFirstCall;
	bool        m_bQuitEnable;
};

#endif
