// ToolTab.h: interface for the CToolTab class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _TOOLTAB_H_
#define _TOOLTAB_H_

#include <SettingTabWidget.h>

class CSettingsWidget;
class QListView;

class CToolTab : public CSettingTabWidget
{
public:
	CToolTab(IMainWindow* pMainWindow);
	int     DoSave();
	void    DoRefresh();
	void    DoInitWords();
	QString GetDescription() const;

	CSettingsWidget* GetSettingsWidget(const QString& sToolName) const;

private:
	QListView* m_pList;
};

#endif
