
#include <qapplication.h>
#include <qstringlist.h>
#include <qsettings.h>
#include <qdir.h>

#include <F100Qt.h>

#include "StartUp.h"

#ifdef WIN32
#	define _CRTDBG_MAP_ALLOC
#	include <crtdbg.h>
#endif

#ifndef IMAGES_DIR
#	define IMAGES_DIR (APP_DIR_PATH + "/images")
#endif

int main(int argc, char** argv)
{
	//Pour dtecter les fuites de mmoire en mode debug
#ifdef WIN32
	_CrtSetReportMode(_CRT_WARN,   _CRTDBG_MODE_DEBUG);
	_CrtSetReportMode(_CRT_ERROR,  _CRTDBG_MODE_DEBUG);
	_CrtSetReportMode(_CRT_ASSERT, _CRTDBG_MODE_DEBUG);
	_CrtSetDbgFlag(_CRTDBG_ALLOC_MEM_DF | _CRTDBG_LEAK_CHECK_DF);
//	_crtBreakAlloc = 357;
#endif
	QApplication app(argc, argv);
	QMimeSourceFactory::defaultFactory()->addFilePath(IMAGES_DIR);

	QSettings settings;
#if QT_VERSION >= 0x030100
	settings.insertSearchPath(QSettings::Unix, QDir::homeDirPath() + "/.flash100");
	settings.setPath("Quaranta Software", "Flash100", QSettings::User);
#endif
	StartUp startup(&settings);
	if(startup.Start()) {		
		return app.exec();
	}
	return 0;
}
