
#ifndef EDITOR_H
#define EDITOR_H

#include <qwidget.h>

class DriveWindow;
class CDriveFile;

class CEditor : public QWidget
{
public:
	CEditor(DriveWindow* parent = 0);

	virtual int	    DoReloadFile() = 0;
	virtual void    DoInitWords() = 0;
	virtual QString GetCaption() const = 0;
	virtual void    DeleteDrive(CDriveFile* pDrive);

protected:
	DriveWindow* m_pParent;
};

#endif
