// BasicZone.h: interface for the CBasicZone class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _BASICZONE_H_
#define _BASICZONE_H_

#include "FileZone.h"

class CBasicZone : public CFileZone
{
public:
	CBasicZone();
	bool      ReadDataFrom(QTextStream& stream, unsigned int nCapacity);

protected:
	void         WriteData(QTextStream& stream);
	QString      GetDataType() const;
	unsigned int GetCapacity();

protected:
	static QString ReadLine(QTextStream& stream, bool& bAtEnd);

};

#endif
