// Editor.cpp: implementation of the CEditor class.
//
//////////////////////////////////////////////////////////////////////

#include "Editor.h"
#include "RamManagerOption.h"

#include <qpixmap.h>

#include <image_defs.h>

//-----------------------------------------------------------------------------------
CEditor::CEditor(QWidget* parent)
	: QMainWindow(parent, 0, WDestructiveClose)
{
	setIcon(QPixmap::fromMimeSource(IMG_SEE));
}

//-----------------------------------------------------------------------------------
void CEditor::DoInitWords()
{
	UpdateCaption();
}

//-----------------------------------------------------------------------------------
CRamManagerOption* CEditor::GetOptionWindow()
{
	return CRamManagerOption::GetInstance();
}
