// FindDialog.h: interface for the CFindDialog class.
//
//////////////////////////////////////////////////////////////////////

#ifndef AFX_FINDDIALOG_H_
#define AFX_FINDDIALOG_H_

#include <qdialog.h>

class QTextEdit;
class QComboBox;
class QCheckBox;
class QPushButton;
class QLabel;
class QGroupBox;
class QRadioButton;

class CFindDialog : public QDialog
{
	Q_OBJECT
public:
	CFindDialog(QTextEdit* pTextEdit);

private slots:
	void languageChange();
	void OnFind();

private:
	QTextEdit*    m_pTextEdit;
	QComboBox*    m_pLineEdit;
	QLabel*       m_pLabel;
	QCheckBox*    m_pWordOnly;
	QCheckBox*    m_pCase;
	QPushButton*  m_pNext;
	QPushButton*  m_pCancel;
	QGroupBox*    m_pDirection;
	QRadioButton* m_pUp;
	QRadioButton* m_pDown;
};

#endif
