// MLC1Properties.h: interface for the CMLC1Properties class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _MLC1PROPERTIES_H_
#define _MLC1PROPERTIES_H_

#include "ProgSyntaxProperties.h"

#define KEY_SPRITE "SPRITE"

class CMLC1Properties : public CProgSyntaxProperties  
{
public:
	CMLC1Properties();
	CMLC1Properties(const CMLC1Properties* pSource);
	QString GetName() const;
	CSyntaxHighlighter* CreateSyntax(QTextEdit* pEdit) ;
	CSyntaxHighlighter* CreateCompatibleSyntax(const void* pData, unsigned int nSize, QTextEdit* pEdit);
	CSyntaxProperties*  Clone();
	void GetKeywords(QStringList& lKeywords);
};

#endif
