
#ifndef _RAMMANAGERPLUGIN_H_
#define _RAMMANAGERPLUGIN_H_

#include <F100_Op.h>
#include <ToolWindow.h>

class RAMManager;

class RAMManagerPlugIn : public CToolWindow
{
	friend class RAMManager;
public : 
	RAMManagerPlugIn(CONSTRUCTOR_PARAMDEF);
	int  Init(INIT_PARAMDEF);
	void DoShowCaption();
	void DoInitWords();
	int  LoadFrom(QDomElement& element);
	int  SaveTo(QDomElement& element);
	void SetInTabWidget(bool bInTabWidget, bool bShowIt = true, bool bEmitStateChanged = true);
	bool close(bool bAlsoDelete);

private :
	RAMManager* m_pCentralWidget;
};

#endif
