// TextWrapper.h: interface for the CTextWrapper class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _TEXTWRAPPER_H_
#define _TEXTWRAPPER_H_

#include "Wrapper.h"

/*!
	\class CTextWrapper TextWrapper.h
	\brief Permet de formatter des donnes Casio en texte
	\author Quaranta David
	\version 1.00

	\ingroup RAMManager
*/
class CTextWrapper : public CWrapper  
{
public:
	CTextWrapper();

	QString ConvertCasioDataToText(const void* pData, unsigned int nSize) const;
	QString ConvertTextToCasioData(const QString& sText) const;

};

#endif
