
#include <F100_Op.h>

#include "RFIWindow.h"
#include <language.h>


EXPORT_SYMB void Tool_Request(F100_Op op, void** ret, IMainWindow* ptr1, Qt::WFlags ptr2, QTabWidget* ptr3, QWidget* parent)
{
	switch(op)
	{
	case OP_TOOLNAME:
		*((QString*)ret) = "Ram File Installer";
		break;
	case OP_BUILDDATE:
		*ret = (void*)__DATE__;
		break;
	case OP_VERSION:
#ifndef _DEBUG
		*ret = (void*)"1.00";
#else
		*ret = (void*)"1.00 (Debug)";
#endif
		break;
	case OP_AUTHOR:
		*ret = (void*)"Quaranta David & X-thunder28";
		break;
	case OP_CREATEINSTANCE:
		*ret = new RFIWindow(parent, ptr1, ptr2, ptr3);
		break;
	case OP_WINDOWTYPESTR:
		*ret = (void*)"RamFileInstaller";
		break;
	case OP_FILEFILTER:
		*((QString*)ret) = QString::null;
		break;
	case OP_DESCRIPTION:
		*((QString*)ret) = RFIWindow::tr("Permet de crer des fichiers d'installation RFI.");
		break;
	case OP_SUPPORTEDFILE:
		*ret = (void*)"rfi";
		break;
	case OP_SETTINGSWIDGET:
		*ret = NULL;
		break;
	case OP_TOOLBARICON:
		*((QPixmap*)ret) = QPixmap::fromMimeSource("rfimaker/rfi.png");
		break;
	}
}
