/****************************************************************************
** Form interface generated from reading ui file 'ftpmainwindow.ui'
**
** Created: dim. 29. août 16:47:56 2004
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.2.1   edited May 19 14:22 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef FTPMAINWINDOW_H
#define FTPMAINWINDOW_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qmainwindow.h>

#include "connectdialog.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QAction;
class QActionGroup;
class QToolBar;
class QPopupMenu;
class QListView;
class QListViewItem;
class QComboBox;
class QLabel;
class QFtp;
class QUrlInfo;

class FtpMainWindow : public QMainWindow
{
    Q_OBJECT

public:
    FtpMainWindow( QWidget* parent);
    virtual ~FtpMainWindow();
	void init();
    void destroy();
	void UploadFile(const QString& sFileName);

private:
	void AddTextInComboBox(QComboBox* pCombo, const QString& sText);

public slots:
    void connectToHost();

protected slots:
    void languageChange();
	void OnFilesDropped(const QStringList& sFiles, QListViewItem* pDroppedItem);

private slots:
    void uploadFile();
    void downloadFile();
    void removeFile();
    void changePath( const QString & newPath );
    void ftp_commandStarted();
    void ftp_commandFinished();
    void ftp_done( bool error );
    void ftp_stateChanged( int state );
    void ftp_listInfo( const QUrlInfo & i );
    void ftp_rawCommandReply( int code, const QString & text );
    void changePathOrDownload(  QListViewItem * );

private:
    QFtp *ftp;
    QLabel *stateFtp;
    QString currentFtpDir;
    QGridLayout* FtpMainWindowLayout;

    QListView* remoteView;
    QComboBox* remotePath;
    QLabel* TextLabel4;
    QMenuBar *menubar;
    QPopupMenu *fileMenu;
    QToolBar *toolBar;
    QAction* fileDownloadAction;
    QAction* fileExitAction;
    QAction* fileRemoveAction;
    QAction* fileUploadAction;
    QAction* fileConnectAction;
    ConnectDialog m_qConnectDialog;
};

#endif // FTPMAINWINDOW_H
