#ifndef __MAIN
#define __MAIN

enum DataType { Char=0, Short=1, Int=2, Long=3, String=4 };
	
#define COL_TYPE		0
#define COL_SIZE		1
#define COL_COMMENTS	2

#define SOCIETY_NAME 	"Casio (J Patte)"
#ifdef F100_PLUGIN
#	define PROGRAM_NAME "RFLMaker"
#else
#	define PROGRAM_NAME "RFL Maker"
#endif
#define RECENTFILES_ID  100

#define MAGIC_STRING    0xA067F42C
#define SIZE_RESERVE	20

#define ICO_NEW			0
#define ICO_SAVE		1
#define ICO_OPEN		2
#define ICO_DEL			3
#define ICO_DOWN		4
#define ICO_UP			5
#define ICO_ADD			6
#define ICO_MAKE		7

#ifdef F100_PLUGIN
#	define ICONS_FILE   "rflmaker/icons.png"
#else
#	define ICONS_FILE   "icons.png"
#endif
#define ICONS_FORMAT	"PNG"

#ifndef F100_PLUGIN
#	define APP_DIR_PATH	qApp->applicationDirPath()
#endif
#include <qrect.h>
#include <qiconset.h>
extern QRect icoRects[];
extern QIconSet makeIconSet(int num);

#endif